/**
 * CMI : Cluster Method Invocation
 * Copyright (C) 2007,2008 Bull S.A.S.
 * Contact: carol@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 * --------------------------------------------------------------------------
 * $Id: LoadBalanceable.java 1965 2008-07-29 15:40:02Z loris $
 * --------------------------------------------------------------------------
 */

package org.ow2.cmi.lb;

import org.ow2.cmi.reference.ServerRef;

/**
 * Interface of all load-balanced objects.
 * @author The new CMI team
 * @see IPolicy
 */
public interface LoadBalanceable {

    /**
     * @return the reference of server on which is deployed this object.
     */
    ServerRef getServerRef();

}
